Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the 'The Obligatory Mountain Lion Poll' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
The Obligatory Mountain Lion Poll
Authored by: michelle_eris on Jul 24, '12 08:38:53AM

I have a late 2006 iMac, which is the newest iMac that cannot run Mountain Lion, so I am forced to wait to get ML until I get a new Mac. And that will be when the next model of the iMac is available.



[ Reply to This | # ]